import React, { FC } from "react";
import "./announce.scss";
import "../global.scss";
import parse from 'html-react-parser'

export type AnnounceProps = {
  text?: string;
  resalted?: string;
};

const Announce: FC<AnnounceProps> = ({ text, resalted }) => {
  return (
    <div className="announce">
      {parse(text)} &nbsp;
      <span className={"resalted"}>{parse(resalted)}</span>
    </div>
  );
};

export default Announce;
